﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace VisibilityCheck
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            
        }

        

        private void check_Unchecked(object sender, RoutedEventArgs e)
        {
            foreach(ChartSeries series in this.chart.Series)
            {
                series.IsSeriesVisible = false;
            }
        }

        private void check_Checked(object sender, RoutedEventArgs e)
        {
            foreach (ChartSeries series in this.chart.Series)
            {
                series.IsSeriesVisible = true;
            }
        }


    }
    public class CategoryData
    {
        public ObservableCollection<Category> datas { get; set; }
        public CategoryData()
        {
            datas = new ObservableCollection<Category>();
            datas.Add(new Category { Name = "steel", Value = 10,Value1=11 });
            datas.Add(new Category { Name = "silver", Value = 12, Value1 = 15 });
            datas.Add(new Category { Name = "gold", Value = 7, Value1 = 10 });
            datas.Add(new Category { Name = "platinum", Value = 18, Value1 = 28 });
            datas.Add(new Category { Name = "bronze", Value = 14, Value1 = 10 });
            datas.Add(new Category { Name = "iron", Value = 16, Value1 = 19 });
            datas.Add(new Category { Name = "indium", Value = 12, Value1 = 15 });
            datas.Add(new Category { Name = "iridium", Value = 15, Value1 = 13 });
            

        }
    }
    public class Category
    {
        public string Name { get; set; }
        public double Value { get; set; }
        public double Value1 { get; set; }
    }
    
}
